%define name    libfac
%define summary An extension to Singular-factory
%define version 3.0.3
%define release %mkrel 4

Summary: 	%summary
Name:		%name
Version:		%version
Release:	%release
License:		GPLv2
Group:		System Environment/Libraries
Source:		http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/Libfac/libfac-3-0-3.tar.gz 
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/Libfac/
Packager:	Gri6507
Distribution:	PCLinuxOS

BuildRequires: factory >= %{version}

# -debuginfo useless for (only) static libs
%define debug_package   %{nil}

%description
Singular-libfac is an extension to Singular-factory which implements
factorization of polynomials over finite fields and algorithms for
manipulation of polynomial ideals via the characteristic set methods
(e.g., calculating the characteristic set and the irreducible
characteristic series).

%prep
%setup -q -n %{name}


%build
%configure --with-Singularerror --with-NOSTREAMIO
%make


%install
rm -rf %{buildroot} 
%makeinstall

# fix perms
chmod 644 %{buildroot}%{_libdir}/lib*.a


%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root,-)
%doc 00README ChangeLog COPYING
%{_libdir}/lib*.a
%{_includedir}/*


%changelog
* Thu Mar 6 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 3.0.3-1pclos
- updated version

* Fri Jan 04 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 3.0.2-1
- Initial release for PCLinuxOS 2007

* Tue Aug 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-1
- libfac-3.0.2
- disable -debuginfo (static lib only)

